/*
 * message.h
 *
 * Header file for message1.c and message2.c
 *
 * By Kamran Karimi
 */
 
#include <stdio.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/msg.h>
#include <errno.h>

#define MSG_KEY 40
#define MSG_MODE (IPC_DIPC | IPC_EXCL | 0777)
#define MSG_TYPE 10
#define MSG_SIZE 512

struct message
{
 long mtype;
 char mtext[MSG_SIZE];
};
