/*
 * back_door.h
 *
 * part of dipcd source code
 *
 * Copyright (C) Kamran Karimi
 */

#include "dipc_path.h"

#define REFEREE_BACKDOOR "referee_backdoor"
#define SHM_BACKDOOR "shm_man_backdoor"


#define BACK_DOOR_INFO   1
#define BACK_DOOR_REMOVE 2

struct back_door_message
{
 int cmd; /* command */
 int arg1; /* type (shm, sem, msg) or (WANT_ACCESS, PENDING, ACCESSOR */
 int arg2; /* key, or (SHM_READER, SHM_WRITER) */
 int arg3; /* size or unused */
 int arg4; /* distributed? or unused */
 int arg5; /* address */
};

